<template>
  <div class="row">
  <nav class="navbar navbar-default">
  <div class="container-fluid">
    <!-- Brand and toggle get grouped for better mobile display -->
    <div class="navbar-header">
      <button type="button" class="navbar-toggle collapsed" 
              @click="collapseToggle = ! collapseToggle"
              aria-expanded="false">
        <span class="sr-only">Toggle navigation</span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>
      <a class="navbar-brand" href="/">BlogExample</a>
    </div>

    <!-- Collect the nav links, forms, and other content for toggling -->
    <div :class="[{ collapse: collapseToggle }, 'navbar-collapse' ]">
      <ul class="nav navbar-nav">
        <router-link :to="{ name: 'blog' }" 
          tag="li" active-class="active" exact><a>Blog</a></router-link>
        <router-link :to="{ name: 'about' }" 
          tag="li" active-class="active" exact><a>About</a></router-link>
      </ul>
      <ul class="nav navbar-nav navbar-right">
        <router-link v-if="auth" :to="{ 
          name: 'blog-post-create', 
          params: { action: 'create' } 
          }" 
          tag="li" active-class="active" exact>
            <button type="button" class="btn btn-default navbar-btn">
              <span class="glyphicon glyphicon-file" aria-hidden="true"></span>
              New Post</button></router-link>
        <li v-if="auth" @click='logout' role="button"><a>Logout</a>
        </li>
        <router-link v-if="!auth" :to="{ name: 'login' }" 
          tag="li" active-class="active" exact><a>Login</a></router-link>
      </ul>
    </div><!-- /.navbar-collapse -->
  </div><!-- /.container-fluid -->
</nav>
</div>
</template>

<script>
export default {
  name: 'header',
  data () {
    return {
     //  auth: null
      collapseToggle: true
    }
  },
  computed: {
    auth () {
      return this.$store.getters.isAuthenticated
    }
  },
  methods: {
    logout () {
      this.$store.commit('removeToken')
      this.$router.push({ name: 'blog' })
    }
  },
  created () {
    // this.auth = this.$auth.isAuthenticated()
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
</style>
